Welcome to the MiServer forum!

MiServer is Dyalog's APL-based web development framework

Welcome to the MiServer forum!

Postby Brian|Dyalog on Tue Mar 04, 2014 2:39 pm

MiServer is Dyalog's APL-based web development framework.
MiServer is a fully functional web server and suite of tools to generate web content from APL.
The current version of MiServer is v2.1 and a new, object-oriented version 3 is scheduled for release in 2014.
You can download MiServer from http://tools.dyalog.com.

Please use this forum to ask questions about MiServer, make suggestions for its enhancement, and share your experiences.
User avatar
Brian|Dyalog
 
Posts: 82
Joined: Thu Nov 26, 2009 4:02 pm
Location: West Henrietta, NY

Re: Welcome to the MiServer forum!

Postby Gantois on Thu May 08, 2014 9:38 pm

Hi, Brian!

I'm Marco Gantois from Brazil. You've helped me about PHP/APL. After I've saw your conference I understood that It's better to use MiServer/SAWS instead of WAMP and APL/Component files, but I 'm having an installation problem. My APL-64 is:
Classic Version: 12.1.1.21321
Created: May 6 2014 at 17:50:24
Build ID: 793ef5ef
Serial Number: 002607

After I had dowloaded MiServer and SAWS, when I load SAWS ws there are the following message error about version:
)LOAD SAWS
this WS requires a later version of the interpreter.

I 've put SAWS ws and mserver.ws in the same MiServer directory (c:\Miserver)
Could you help me?
Thanks,

Gantois
Gantois
 
Posts: 70
Joined: Thu Apr 17, 2014 9:44 am

Re: Welcome to the MiServer forum!

Postby Gantois on Thu May 08, 2014 9:58 pm

Brian,

I don't have the adequate conga version too. How could I download it ? I've received the folloing message:

)LOAD MSERVER
C:\MiServer\MSERVER saved Thu Apr 18 00:42:52 2013
Start 'Intro' ⍝ Run the demo server
Start 'Intro' ⍝ Run the demo server
"deflate" content encoding requires Conga v2.2 or higher. This version is: 2
"deflate" content encoding is not enabled.
MiServer started on port: 8088
Gantois
 
Posts: 70
Joined: Thu Apr 17, 2014 9:44 am

Re: Welcome to the MiServer forum!

Postby Morten|Dyalog on Fri May 09, 2014 7:49 am

That message about not being able to use "deflate" data should only mean that your MiServer won't be able to compress the data that it transmits. It should still work fine, compression is optional.

However, you should really use a more recent version of APL and Conga - I will contact you separately to find the best way forward.
User avatar
Morten|Dyalog
 
Posts: 329
Joined: Tue Sep 09, 2008 3:52 pm

Re: Welcome to the MiServer forum!

Postby Gantois on Fri May 09, 2014 11:34 am

Ok , thanks Morten.

Another version question: I need to use Unicode. What do you recommend me about it considering my current version?

Regards
Gantois
 
Posts: 70
Joined: Thu Apr 17, 2014 9:44 am


Return to MiServer

Who is online

Users browsing this forum: No registered users and 1 guest